% Docking control of a boat

function xdot = cruise(t,x)

global u

% Input (1):
% Horizontal Force Supplied by the Engine (N)
F_hor = u;

% States (1):
% Position of the boat (m)
pos = x(1,1);
% Velocity of the boat (m/sec)
vel = x(2,1);

% Parameters
% Mass of the boat (kg/1000 kg (normalized))
m = 1;
% Damping Parameter - measure of friction (N-sec/m) / (1000 kg)  - normalized
b = 50 / 1000;

% Compute xdot
xdot(1,1) = -vel;

% for linear vel dependence
%   xdot(2,1) = (1/m)*(F_hor - b*vel);

% for vel^2
if (vel>0)
   xdot(2,1) = (1/m)*(F_hor - b*vel^2);
else
   xdot(2,1) = (1/m)*(F_hor + b*vel^2);
end